Query Compute Profiles

Query Compute Profiles
Query compute profiles

Query compute profiles

Request
URI
POST
https://{server}/hybridity/api/interconnect/computeProfiles/query
COPY
Request Body

Filter object.

computeProfileFilter of type(s) application/json
Required
{
    "filter": {
        "name": "string",
        "computeProfileId": "string"
    }
}
object
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns computeProfileListResponse of type(s) application/json
{
    "items": [
        {
            "computeProfileId": "string",
            "name": "string",
            "location": "string",
            "locationName": "string",
            "state": "string",
            "deploymentComputeClusterName": "string",
            "deploymentComputeClusterId": "string",
            "compute": [
                {
                    "cmpId": "string",
                    "cmpName": "string",
                    "cmpType": "string",
                    "type": "string",
                    "id": "string",
                    "name": "string",
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "services": [
                {
                    "name": "string"
                }
            ],
            "deploymentContainer": {
                "compute": [
                    {
                        "cmpId": "string",
                        "cmpName": "string",
                        "cmpType": "string",
                        "type": "string",
                        "id": "string",
                        "name": "string",
                        "status": {
                            "state": "string",
                            "errorMessage": "string"
                        }
                    }
                ],
                "storage": [
                    {
                        "cmpId": "string",
                        "cmpName": "string",
                        "cmpType": "string",
                        "type": "string",
                        "id": "string",
                        "name": "string",
                        "status": {
                            "state": "string",
                            "errorMessage": "string"
                        }
                    }
                ],
                "folder": {
                    "cmpId": "string",
                    "cmpName": "string",
                    "type": "string",
                    "id": "string",
                    "name": "string",
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                },
                "cpuReservation": 0,
                "memoryReservation": 0
            },
            "networks": [
                {
                    "id": "string",
                    "name": "string",
                    "tags": [
                        "string"
                    ],
                    "staticRoutes": [
                        {
                            "network": "string",
                            "nextHop": "string"
                        }
                    ],
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "switches": [
                {
                    "cmpId": "string",
                    "id": "string",
                    "type": "string",
                    "name": "string",
                    "maxMtu": "number",
                    "l2cApplianceCount": "number",
                    "host": {
                        "id": "string",
                        "name": "string"
                    },
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "storage": [
                {
                    "cmpId": "string",
                    "cmpName": "string",
                    "cmpType": "string",
                    "type": "string",
                    "id": "string",
                    "name": "string",
                    "status": {
                        "state": "string",
                        "errorMessage": "string"
                    }
                }
            ],
            "lastTaskDetails": {
                "interconnectTaskId": "string",
                "type": "string",
                "status": "string"
            }
        }
    ]
}
array of items
items
Optional

items


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/computeProfiles/query